interfaces Library: KHE::CharColumnInterface Class Reference (interfaces Library)

| # interfaces Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KHE::CharColumnInterface Class Reference

A simple interface for the access to the char column of a hex edit widget. More...

`#include <charcolumninterface.h>`

List of all members.

## Public Types
enum | KEncoding { LocalEncoding = 0, ISO8859_1Encoding = 1, CECP1047Encoding = 2, MaxEncodingId = 0xFFFF }
## Public Member Functions
virtual void | setShowUnprintable (bool SU=true)=0
virtual void | setSubstituteChar (QChar SC)=0
virtual void | setEncoding (KEncoding C)=0
virtual bool | showUnprintable () const =0
virtual QChar | substituteChar () const =0
virtual KEncoding | encoding () const =0

## Detailed Description

A simple interface for the access to the char column of a hex edit widget.

Author:
  Friedrich W. H. Kossebau <Friedrich.W.H@Kossebau.de>

See also:
  createBytesEditWidget(), charColumnInterface()

Since:
  3.2

Definition at line 33 of file charcolumninterface.h.

## Member Enumeration Documentation

enum KHE::CharColumnInterface::KEncoding

  | encoding used to display the symbols in the text column Enumeration values:
  LocalEncoding | the encoding of your shell. If that is a multibyte encoding this will default to Latin1.
  ISO8859_1Encoding | extended ASCII encoding, also known as Latin1
Definition at line 37 of file charcolumninterface.h.

## Member Function Documentation

virtual void KHE::CharColumnInterface::setShowUnprintable | ( | bool | SU = `true` | ) | `[pure virtual]`

  | sets whether "unprintable" chars (value<32) should be displayed in the text column with their corresponding character. Default is `false`. Parameters:
  | SU |
See also: showUnprintable()

virtual void KHE::CharColumnInterface::setSubstituteChar | ( | QChar | SC | ) | `[pure virtual]`

  | sets the substitute character for "unprintable" chars Default is '.'. Parameters:
  | SC | new character
See also: substituteChar()

virtual void KHE::CharColumnInterface::setEncoding | ( | KEncoding | C | ) | `[pure virtual]`

  | sets the encoding of the text column. If the encoding is not available the format will not be changed. Default is `LocalEncoding`. Parameters:
  | C | the new encoding
See also: encoding()

virtual bool KHE::CharColumnInterface::showUnprintable | ( |  | ) | const`[pure virtual]`

| Returns: `true` if "unprintable" chars (value<32) are displayed in the text column with their corresponding character, `false` otherwise See also: setShowUnprintable()

virtual QChar KHE::CharColumnInterface::substituteChar | ( |  | ) | const`[pure virtual]`

| Returns: the currently used substitute character for "unprintable" chars. See also: setSubstituteChar()

virtual KEncoding KHE::CharColumnInterface::encoding | ( |  | ) | const`[pure virtual]`

| Returns: the currently used encoding See also: setEncoding()

The documentation for this class was generated from the following file:

- charcolumninterface.h

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:11 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003